--
-- MoneyTool
--
-- # Author:  Heady
-- # date: 22.01.2011
-- # update LS13: 08.02.2013
-- # update LS15: 23.11.2014
-- # last update: 23.11.2014
--
-- > Not for commercial use  < --
-- > Not allowed for edit - Copyright (C) Heady - www.planet-ls.de < --
--

print("  MoneyTool v15.0");

MoneyTool = {};

function MoneyTool:loadMap(name)

	self.addMoney = 0;

end;

function MoneyTool:deleteMap()
end;

function MoneyTool:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MoneyTool:keyEvent(unicode, sym, modifier, isDown)

	if bitAND(modifier, Input.MOD_CTRL) > 0 and bitAND(modifier, Input.MOD_ALT) > 0 and InputBinding.isPressed(InputBinding.HONK) then
		self.addMoney = 1000000;
		if g_server == nil then
			g_client:getServerConnection():sendEvent(MPEvent:new(self));
		end;
		print("money added")
	end;
		
end;

function MoneyTool:update(dt)


	if self.addMoney ~= 0 then
		if g_server ~= nil then
			g_currentMission:addSharedMoney(self.addMoney);
			self.addMoney = 0;
		end;
	end;


end;

function MoneyTool:draw()
end;

addModEventListener(MoneyTool);



MPEvent = {};
MPEvent_mt = Class(MPEvent, Event);

InitEventClass(MPEvent, "MPEvent");

function MPEvent:emptyNew()
    local self = Event:new(MPEvent_mt);
    self.className="MPEvent";
    return self;
end;

function MPEvent:new(object)
    local self = MPEvent:emptyNew()
    self.object = object;
    return self;
end;

function MPEvent:readStream(streamId, connection)
	self.object = MoneyTool;
    self.object.addMoney = streamReadInt32(streamId);
end;

function MPEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, self.object.addMoney);
end;
